import { type Base, genBase } from "./_base"

export interface MaterialOrderItem extends Base {
  materialOrder_id: number
  material_id: number
  count?: number
}

export function genMaterialOrderItem(): MaterialOrderItem {
  return {
    ...genBase(),
    materialOrder_id: 0,
    material_id: 0,
  }
}
